Bug 734047 - Incorrect dashboard name on immediate deletion
Incorrect dashboard name on immediate deletion
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
Unspecified Unspecified
medium Severity medium (vote)
: ---
: RHQ 4.3.0
Assigned To: Mike Thompson
Mike Foley
:
Depends On:
Blocks: rhq-uxd
  Show dependency treegraph
 
Reported: 2011-08-29 06:28 EDT by Jeeva Kandasamy
Modified: 2013-08-31 06:17 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.3.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:17:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
incorrect dashboard name (31.20 KB, image/jpeg)
2011-08-29 06:28 EDT, Jeeva Kandasamy
no flags Details

  None (edit)
Description Jeeva Kandasamy 2011-08-29 06:28:28 EDT
Created attachment 520337 [details]
incorrect dashboard name

Description of problem:
While deleting immediately a newly created dashboard, it's showing default name on deletion confirmation alert. Should display user input name.


How reproducible:
100%

Steps to Reproduce:
1.Navigate to 'Dashboard'
2.Click on 'New Dashboard'
3.Over-right dashboard default name (Ex. default one: 'Custom0', User Input: 'JeevaDashboard')
4. Click on 'View mode', Getting successfully saved message ('Saved dashboard JeevaDashboard to server')
5.Click on X (deletion mark) right corner of the dashboard name.
6. Getting deletion confirmation alert message with incorrect name.

  
Actual results:
Displaying default name on confirmation alert

Expected results:
Should display user input name

Additional info:
Screen shot is attached
Comment 1 Jeeva Kandasamy 2011-08-29 06:37:08 EDT
Version: 4.1.0-SNAPSHOT
Build Number: a98c893
GWT Version: 2.0.4
SmartGWT Version: 2.4

Browser: Firefox 3.6.18
OS: RHEL 6.1 X86_64
Comment 2 Mike Thompson 2012-02-01 16:14:37 EST
There was a strange fact around timing that new dashboards that were closed were not displaying the correct confirmation message with the proper tab name.

I changed the confirmation message to pull the data from the model on the DashboardView object instead of from the title object and fixed this issue.

commit: http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=21f755d4e0cc2a7000e42e2fd6df7d1ac2e0e946
Comment 3 Sunil Kondkar 2012-04-12 05:34:07 EDT
Verified on build#1314 (Version: 4.4.0-SNAPSHOT Build Number: 4fb7669)

On closing the dashboard tab, the confirmation message displays correct tab name.
Comment 4 Heiko W. Rupp 2013-08-31 06:17:09 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.